Bug 213540 - Dysfunctional single mirror in Swedish mirrorlist
Dysfunctional single mirror in Swedish mirrorlist
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 16:49 EST by E Mair
Modified: 2014-01-21 17:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 15:41:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description E Mair 2006-11-01 16:49:59 EST
Description of problem:

(Not a yum problem per se, but I found no Fedoraproject mirrorlist "product".)

The "SE" mirrorlist at
http://mirrors.fedoraproject.org/mirrorlist?repo=core-$releasever&arch=$basearch
that yum downloads by default only contains one quite worthless and obscure
Swedish mirror, ftp://falkor.skane.se/pub/mirrors/fedora/core/6/$ARCH/os/, which
is highly unreliable.

falkor.skane.se seems to be a server of the healthcare administrative region of
Scania, and most of the time it's busy (FTP error 530, max 60 users).

I propose that the arguably largest and fastest mirrors of Sweden (and possibly
Europe) are included among the SE mirrors. In order of preference:

ftp://ftp.sunet.se/pub/os/Linux/distributions/fedora/6/i386/os/
ftp://ftp.port80.se/fedora/core/6/i386/os/
ftp://ftp.chl.chalmers.se/pub/fedora/linux/core/6/i386/os

Anyway, shouldn't yum try to move on to another geographical set of mirrors if
all of those (the only one, in this case) in one country fail?
Comment 1 blomman 2006-11-02 16:30:02 EST
Temporary workaround until the Swedish mirror list has been fixed: Edit
/etc/yum.repos.d/fedora-core.repo and fedora-updates.repo, add "&country=FI" at
the end of the mirrorlist URL.
Comment 2 E Mair 2006-11-03 05:21:36 EST
Tack, blomman. :)

A tip for anyone else following the advice in Comment #1: Delete or rename
/var/cache/yum/yumex-mirror-cache.conf if you use yumex, else it'll keep trying
and failing with the old mirror(s).

BTW, I've tried a bunch of "&country=XX" designations now, and noticed that none
of the mirrors I suggested in my report seem to be included in any of the
mirrorlists.

chalmers.se and port80.se are at least included in Fedoraproject's own
"official" list here: http://fedoraproject.org/wiki/Mirrors
Comment 3 Jesse Keating 2006-12-15 12:32:18 EST
We've made some changes here, can you please try again?
Comment 4 E Mair 2006-12-15 13:37:55 EST
(In reply to comment #3)
> We've made some changes here, can you please try again?

Now I'm getting a global mirror list.

Appending "&country=SE" (or whatever country) produces this:
# no file found for repo = core-6, country = SE, arch = i386
# filename was: core-6-SE-i386.txt
# repo = core-6 country = SE arch = i386 
# No results found for country: SE
# Defaulting to global
[snip global mirror list]

None of the mirrors I suggested (or any Swedish mirror, for that matter) seems
to have found their way into the global list.
Comment 5 Mike McGrath 2006-12-15 15:41:19 EST
The code takes a list from here: 

http://fedora.redhat.com/Download/mirrors/fedora-core-6

Checks them periodically and flags them as up or down.  The return-mirrors
script then returns a script closest to you.  In this instance the mirrors you
suggest are not in our authoritative list.  Work is being done to create a
self-service mirror site so that mirror additions and removals are easy which
will hopefully bring in more mirrors but thats a bit out.

For now you can also specify multiple countries for example:

&country=US,DE,UK

Note You need to log in before you can comment on or make changes to this bug.